---
id: 655cd899f8de09431eabb40c
title: Step 1
challengeType: 20
dashedName: step-1
---

# --description--

Merge sort is a sorting algorithm that uses the divide-and-conquer principle to sort collections of data. That is, it "divides" a collection into smaller sub-parts, and "conquers" the sub-parts by sorting them independently, then merges the sorted sub-parts.

Begin by creating a function called `merge_sort` that takes the parameter `array`. This function will handle the task of sorting a list of numbers. Use the `pass` keyword in the function body.

# --hints--

You should declare a function named `merge_sort` with a single parameter: `array`. Don't forget to use the `pass` keyword in the function body.

```js
({
    test: () => assert(runPython(`_Node(_code).find_function("merge_sort").has_args("array")`))
})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--

--fcc-editable-region--
```
